require "rails_helper"

RSpec.describe Member, type: :model do
  subject { build(:member) }

  it { should validate_presence_of(:nick) }
  # MySQL utf8mb4_0900_ai_ci collation: az egyediség DB-szinten case-insensitive
  it { should validate_uniqueness_of(:nick).case_insensitive }
end
